Author Topic: Elevation at Station  (Read 630 times)

0 Members and 1 Guest are viewing this topic.

donnieworld

  • Newt
  • Posts: 26
  • BricsCAD Fan
Elevation at Station
« on: January 19, 2023, 09:28:19 PM »
I have created a polyline that represents a profile along an alignment. Now, I need to create a lisp function to extract the elevation at a specified station.

More simply, I need to get Y at X on a polyline. X is not the distance along the polyline. Because I am working with a profile, I know the polyline will not intersect the X more than once.

Thanks, in advance :-)
Donald Broussard
Fusion Engineering and Technology

BIGAL

  • Swamp Rat
  • Posts: 1398
  • 40 + years of using Autocad
Re: Elevation at Station
« Reply #1 on: January 19, 2023, 11:05:54 PM »
Why not use a proper civil Add on for Bricscad that does way much more, Google "Civil Site Design".
A man who never made a mistake never made anything

donnieworld

  • Newt
  • Posts: 26
  • BricsCAD Fan
Re: Elevation at Station
« Reply #2 on: January 20, 2023, 12:14:06 AM »
We currently utilize Civil Site Design on BricsCAD and it works WONDERFULLY for road and subdivision design. I am a huge fan of CSD. However, we have several small design tasks that don't require full road design, the data management, and complexity of a CSD project.

I am trying to simplify and improve a couple of workflows utilizing BricsCAD Tins and a couple of lisp routines.
Donald Broussard
Fusion Engineering and Technology

donnieworld

  • Newt
  • Posts: 26
  • BricsCAD Fan
Re: Elevation at Station
« Reply #3 on: January 20, 2023, 05:36:17 AM »
This is working fairly well. I am drawing a vertical line at the X location and using intersectwith to find the Y on the profile.

(setq nElev (cadr (vlax-invoke (vlax-ename->vla-object Prof) 'intersectwith vLine acextendnone)))
Donald Broussard
Fusion Engineering and Technology